Уязвимость BDU:2021-01442

Дата: 21.09.2018. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2021-01442.

Наименование уязвимости: Уязвимость HPACK декодера серверного программного обеспечения HAProxy, связанная с чтением за допустимыми границами буфера данных, позволяющая нарушителю вызвать отказ в обслуживании.

Описание уязвимости: Уязвимость HPACK декодера серверного программного обеспечения HAProxy связана с чтением за допустимыми границами буфера данных. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, вызвать отказ в обслуживании
Уязвимое ПО: Операционная система Canonical Ltd. Ubuntu 18.04 LTS | Операционная система Debian GNU/Linux 8.0 | Операционная система Debian GNU/Linux 9.0 | Операционная система ООО «РусБИТех-Астра» Astra Linux Common Edition 2.12 «Орёл» | Операционная система Debian GNU/Linux 10.0 | Прикладное ПО информационных систем Willy Terreau HAProxy до 1.8.14 включительно |

Наименование ОС и тип аппаратной платформы: Ubuntu 1804 LTS | Debian GNU/Linux 80 | Debian GNU/Linux 90 | Astra Linux Common Edition 212 «Орёл» | Debian GNU/Linux 100 |
Дата выявления: 21.09.2018.
CVSS 2.0: AV:N/AC:L/Au:N/C:N/I:N/A:P
Уровень опасности уязвимости: Средний уровень опасности (базовая оценка CVSS 2.0 составляет 5)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 7,5)

Возможные меры по устранению:
Использование рекомендаций:
Для HAProxy:
Обновление программного обеспечения до 2.0.18-1 или более поздней версии

Для Debian:
Обновление программного обеспечения (пакета haproxy) до 1.8.19-1+deb10u3 или более поздней версии

Для Astra Linux:
Обновление программного обеспечения (пакета haproxy) до 1.8.19-1+deb10u3 или более поздней версии

Для Ubuntu:
https://ubuntu.com/security/notices/USN-3780-1
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2018-14645.

Тип ошибки CWE: CWE-125
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2018-14645
https://nvd.nist.gov/vuln/detail/CVE-2018-14645
https://security-tracker.debian.org/tracker/CVE-2018-14645
https://ubuntu.com/security/notices/USN-3780-1
https://www.mail-archive.com/haproxy@formilux.org/msg31253.html

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован.